## git 2.28.0

=== debian/changelog ===
git (1:2.28.0-1+WANdisco.461) unstable; urgency=low

  * WANdisco Release

 -- WANdisco <opensource@wandisco.com>  Tue, 15 Sep 2020 07:20:35 +0000
