=== debian/rules ===
--- 
+++ 
@@ -135,8 +135,8 @@
 	install -d -m0755 '$(TMP)'
 	DESTDIR='$(TMP)' $(MAKE) install $(OPTS)
 	install -d '$(TMP)'/html '$(TMP)'/usr/share/man
-	tar --no-same-owner -xf debian/git-htmldocs-2.28.0.tar.gz -C '$(TMP)'/html
-	tar --no-same-owner -xf debian/git-manpages-2.28.0.tar.gz -C '$(TMP)'/usr/share/man
+	tar --no-same-owner -xf debian/git-htmldocs-2.30.1.tar.gz -C '$(TMP)'/html
+	tar --no-same-owner -xf debian/git-manpages-2.30.1.tar.gz -C '$(TMP)'/usr/share/man
 	# RelNotes are shipped in git
 	rm -rf '$(TMP)'/html/RelNotes
 	# git-man
